# Generated by Django 3.1.6 on 2021-03-07 08:08

import datetime
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('mainpages', '0031_auto_20210305_2201'),
    ]

    operations = [
        migrations.CreateModel(
            name='TemporaryOrder',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(blank=True, max_length=30, null=True)),
                ('last_name', models.CharField(blank=True, max_length=30, null=True)),
                ('email', models.EmailField(blank=True, max_length=254, null=True)),
                ('street', models.CharField(blank=True, max_length=50, null=True)),
                ('number', models.IntegerField(blank=True, null=True)),
                ('city', models.CharField(blank=True, max_length=50, null=True)),
                ('country', models.CharField(blank=True, max_length=50, null=True)),
                ('zip_code', models.IntegerField(blank=True, null=True)),
                ('phone_number', models.CharField(blank=True, max_length=15, null=True)),
                ('value', models.FloatField(blank=True, null=True)),
                ('vat', models.FloatField(blank=True, null=True)),
                ('shipment', models.CharField(blank=True, max_length=30, null=True)),
                ('date_and_time', models.DateTimeField(default=datetime.datetime.now)),
                ('payment_status', models.BooleanField(default=False)),
                ('url', models.URLField(blank=True, null=True)),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
